[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TResourceFile.Flush

Writes the resources to the stream.

## Declaration

Source position: objects.pp line 517

`procedure TResourceFile.Flush;`

## Description

If the Modified flag is set to True, then Flush writes the resources to the stream Stream. It sets the Modified flag to true after that.

## Errors

Errors can be those by TStream.Seek and TStream.Write.

## See also

TResourceFile.SwitchTo |  | Write resources to a new stream.